Changeset 170e181 in mainline
- Timestamp:
- 2014-04-21T11:57:39Z (10 years ago)
- Branches:
- lfn, master, serial, ticket/834-toolchain-update, topic/msim-upgrade, topic/simplify-dev-export
- Children:
- 787510d
- Parents:
- 630b9d35
- File:
-
- 1 edited
Legend:
- Unmodified
- Added
- Removed
-
contrib/tools/random_check.sh
r630b9d35 r170e181 31 31 LOOPS="$1" 32 32 PARALLELISM="$2" 33 COMPILERS="$3" 33 34 [ -z "$LOOPS" ] && LOOPS=1 34 35 [ -z "$PARALLELISM" ] && PARALLELISM=1 36 # By default, skip icc and native GCC 37 [ -z "$COMPILERS" ] && COMPILERS="gcc_cross gcc_helenos clang" 35 38 36 39 … … 69 72 COUNTER=0 70 73 FAILED=0 74 SKIPPED=0 71 75 while [ $COUNTER -lt $LOOPS ]; do 72 76 COUNTER=$(( $COUNTER + 1 )) 73 echo "Try #$COUNTER ( $FAILED failures):" >&277 echo "Try #$COUNTER (F$FAILED/S$SKIPPED):" >&2 74 78 ( 75 79 run_clean 76 80 run_random_config 81 CC=`sed -n 's#^COMPILER = \(.*\)#\1#p' <Makefile.config` 82 if ! echo " $COMPILERS " | grep -q " $CC "; then 83 echo " Skipping this one (compiler is $CC)." >&2 84 exit 2 85 fi 77 86 run_make 78 87 exit $? 79 88 ) >random_run_$COUNTER.log 80 if [ $? -ne 0 ]; then 89 RC=$? 90 if [ $RC -eq 2 ]; then 91 SKIPPED=$(( $SKIPPED + 1 )) 92 elif [ $RC -ne 0 ]; then 81 93 tail -n 10 random_run_$COUNTER.log | sed 's#.*# | &#' 82 FAILED=$(( FAILED + 1 ))94 FAILED=$(( $FAILED + 1 )) 83 95 fi 84 96 cp Makefile.config random_run_$COUNTER.Makefile.config … … 86 98 done 87 99 88 echo "Out of $LOOPS tries, $ FAILED configurations failed to compile." >&2100 echo "Out of $LOOPS tries, $SKIPPED were skipped and $FAILED configurations failed to compile." >&2
Note:
See TracChangeset
for help on using the changeset viewer.